Judul di atas adalah pesan error ketika saya mencoba menjalankan aplikasi laravel di OS Linux Mint. Tepatnya ketika saya mau menjalankan perintah ‘php artisan serve.’ Pesan error di atas mengandung makna bahwa salah satu ekstensi yang dibutuhkan tidak tersedia. Oleh karena itu, berikut beberapa langkah yang dapat dilakukan agar masalah tersebut dapat diatasi.

Pertama, pastikan Anda sudah menginstal mcrypt.

sudo apt-get install php5-mcrypt

Kedua, lihat pada folder /etc/php5/mods-available, apakah sudah ada file mcrypt.ini

cd /etc/php5/mods-available
ls

Ketiga, buat auxiliary symlink dan aktifkan modul tersebut

ln -sf mcrypt.ini
sudo php5en mcrypt.ini

Nah, insyaAllah ekstensi atau modul mcrypt sudah bisa digunakan. Tinggal jalankan lagi

php artisan serve

 

Keterangan:

  • OS yang saya pakai adalah LinuxMint 17.
  • Perintah-perintah di atas dijalankan pada konsol atau terminal linux

Sumber: http://laravel.io/forum/02-08-2014-difficulty-installing-laravel-getting-error-mcrypt-php-extension-required

Advertisements